Package org.eclipse.birt.chart.model.component

# Interface Label

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `LabelImpl`

public interface Label extends IChartObject
A representation of the model object 'Label'. This type defines a text label. It is not intended as a standalone element but should be associated with a chart element.

The following features are supported:

- `Caption`
- `Background`
- `Outline`
- `Shadow Color`
- `Insets`
- `Visible`
- `Ellipsis`

See Also:
  - `ComponentPackage.getLabel()`

## Method Summary

Modifier and Type
Method
Description
`Label`
`copyInstance()`
`Fill`
`getBackground()`
Returns the value of the 'Background' containment reference.
`Text`
`getCaption()`
Returns the value of the 'Caption' containment reference.
`int`
`getEllipsis()`
Returns the value of the 'Ellipsis' attribute.
`Insets`
`getInsets()`
Returns the value of the 'Insets' containment reference.
`LineAttributes`
`getOutline()`
Returns the value of the 'Outline' containment reference.
`ColorDefinition`
`getShadowColor()`
Returns the value of the 'Shadow Color' containment reference.
`boolean`
`isSetEllipsis()`
Returns whether the value of the '`Ellipsis`' attribute is set.
`boolean`
`isSetVisible()`
Returns whether the value of the ' `Visible`' attribute is set.
`boolean`
`isVisible()`
Returns the value of the 'Visible' attribute.
`void`
`setBackground(Fill value)`
Sets the value of the '`Background`' containment reference.
`void`
`setCaption(Text value)`
Sets the value of the '`Caption`' containment reference.
`void`
`setEllipsis(int value)`
Sets the value of the '`Ellipsis`' attribute.
`void`
`setInsets(Insets value)`
Sets the value of the '`Insets`' containment reference.
`void`
`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
`setShadowColor(ColorDefinition value)`
Sets the value of the '`Shadow Color`' containment reference.
`void`
`setVisible(boolean value)`
Sets the value of the '`Visible`' attribute.
`void`
`unsetEllipsis()`
Unsets the value of the '`Ellipsis`' attribute.
`void`
`unsetVisible()`
Unsets the value of the '`Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getCaption

Text getCaption()
Returns the value of the 'Caption' containment reference. The string content displayed in the label.

Returns:
  the value of the 'Caption' containment reference.
See Also:
  - `setCaption(Text)`
  - `ComponentPackage.getLabel_Caption()`

### setCaption

void setCaption(Text value)
Sets the value of the '`Caption`' containment reference.

Parameters:
  `value` - the new value of the 'Caption' containment reference.
See Also:
  - `getCaption()`

### getBackground

Fill getBackground()
Returns the value of the 'Background' containment reference. Specifies the background for the label.

Returns:
  the value of the 'Background' containment reference.
See Also:
  - `setBackground(Fill)`
  - `ComponentPackage.getLabel_Background()`

### setBackground

void setBackground(Fill value)
Sets the value of the '`Background`' containment reference.

Parameters:
  `value` - the new value of the 'Background' containment reference.
See Also:
  - `getBackground()`

### getOutline

LineAttributes getOutline()
Returns the value of the 'Outline' containment reference. Defines the outline (border) for the label.

Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `setOutline(LineAttributes)`
  - `ComponentPackage.getLabel_Outline()`

### setOutline

void setOutline(LineAttributes value)
Sets the value of the '`Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Outline' containment reference.
See Also:
  - `getOutline()`

### getShadowColor

ColorDefinition getShadowColor()
Returns the value of the 'Shadow Color' containment reference. Specifies the shadow color for the label.

Returns:
  the value of the 'Shadow Color' containment reference.
See Also:
  - `setShadowColor(ColorDefinition)`
  - `ComponentPackage.getLabel_ShadowColor()`

### setShadowColor

void setShadowColor(ColorDefinition value)
Sets the value of the '`Shadow Color`' containment reference.

Parameters:
  `value` - the new value of the 'Shadow Color' containment reference.
See Also:
  - `getShadowColor()`

### getInsets

Insets getInsets()
Returns the value of the 'Insets' containment reference. Defines the insets for the label.

Returns:
  the value of the 'Insets' containment reference.
See Also:
  - `setInsets(Insets)`
  - `ComponentPackage.getLabel_Insets()`

### setInsets

void setInsets(Insets value)
Sets the value of the '`Insets`' containment reference.

Parameters:
  `value` - the new value of the 'Insets' containment reference.
See Also:
  - `getInsets()`

### isVisible

boolean isVisible()
Returns the value of the 'Visible' attribute. The default value is `"true"`. Specifies whether or not the label is visible on the chart. By default it's true;

Returns:
  the value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `setVisible(boolean)`
  - `ComponentPackage.getLabel_Visible()`

### setVisible

void setVisible(boolean value)
Sets the value of the '`Visible`' attribute.

Parameters:
  `value` - the new value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `isVisible()`

### unsetVisible

void unsetVisible()
Unsets the value of the '`Visible`' attribute.

See Also:
  - `isSetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### isSetVisible

boolean isSetVisible()
Returns whether the value of the ' `Visible`' attribute is set.

Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `unsetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### getEllipsis

int getEllipsis()
Returns the value of the 'Ellipsis' attribute. The default value is `"0"`. Specifies the min count of characters before ellipsis. 0 means ellipsis won't be used.

Returns:
  the value of the 'Ellipsis' attribute.
See Also:
  - `isSetEllipsis()`
  - `unsetEllipsis()`
  - `setEllipsis(int)`
  - `ComponentPackage.getLabel_Ellipsis()`

### setEllipsis

void setEllipsis(int value)
Sets the value of the '`Ellipsis`' attribute.

Parameters:
  `value` - the new value of the 'Ellipsis' attribute.
See Also:
  - `isSetEllipsis()`
  - `unsetEllipsis()`
  - `getEllipsis()`

### unsetEllipsis

void unsetEllipsis()
Unsets the value of the '`Ellipsis`' attribute.

See Also:
  - `isSetEllipsis()`
  - `getEllipsis()`
  - `setEllipsis(int)`

### isSetEllipsis

boolean isSetEllipsis()
Returns whether the value of the '`Ellipsis`' attribute is set.

Returns:
  whether the value of the 'Ellipsis' attribute is set.
See Also:
  - `unsetEllipsis()`
  - `getEllipsis()`
  - `setEllipsis(int)`

### copyInstance

Label copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`